Skip to main content
PATCH
/
api
/
v1
/
locations
/
{location_id}
Update Location
curl --request PATCH \
  --url https://api.athenahq.ai/api/v1/locations/{location_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "location": "<string>",
  "country": "<string>",
  "prompt_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "location": "<string>",
  "country": "<string>",
  "before": {
    "location": "<string>",
    "country": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. You can create one here.

Path Parameters

location_id
string<uuid>
required

The location to update.

Body

application/json
website_id
string<uuid>
required
location
string

New name. Trimmed; blank rejected.

country
string

New country (case-insensitive, supported).

prompt_ids
string<uuid>[]

Replace active associations. Omit to keep existing; [] clears them.

Maximum array length: 1000

Response

Location updated

id
string<uuid>
required
location
string
required
country
string | null
before
object